package com.vodafone.group.contract.vbs.service.service_balance.v1;

import java.net.URL;
import javax.xml.namespace.QName;
import javax.xml.ws.WebEndpoint;
import javax.xml.ws.WebServiceClient;
import javax.xml.ws.WebServiceFeature;
import javax.xml.ws.Service;

/**
 * This class was generated by Apache CXF 3.2.1
 * 2017-11-21T21:05:33.390+02:00
 * Generated source version: 3.2.1
 * 
 */
@WebServiceClient(name = "ServiceBalanceInterfaceService", 
                  wsdlLocation = "classpath:wsdl/VBS/Service/ServiceBalance/V1/ServiceBalanceVBS.wsdl",
                  targetNamespace = "http://group.vodafone.com/contract/vbs/service/service-balance/v1") 
public class ServiceBalanceInterfaceService extends Service {

    public final static URL WSDL_LOCATION;

    public final static QName SERVICE = new QName("http://group.vodafone.com/contract/vbs/service/service-balance/v1", "ServiceBalanceInterfaceService");
    public final static QName ServiceBalanceInterfacePort = new QName("http://group.vodafone.com/contract/vbs/service/service-balance/v1", "ServiceBalanceInterfacePort");
    static {
        URL url = ServiceBalanceInterfaceService.class.getClassLoader().getResource("wsdl/VBS/Service/ServiceBalance/V1/ServiceBalanceVBS.wsdl");
        if (url == null) {
            java.util.logging.Logger.getLogger(ServiceBalanceInterfaceService.class.getName())
                .log(java.util.logging.Level.INFO, 
                     "Can not initialize the default wsdl from {0}", "classpath:wsdl/VBS/Service/ServiceBalance/V1/ServiceBalanceVBS.wsdl");
        }       
        WSDL_LOCATION = url;   
    }

    public ServiceBalanceInterfaceService(URL wsdlLocation) {
        super(wsdlLocation, SERVICE);
    }

    public ServiceBalanceInterfaceService(URL wsdlLocation, QName serviceName) {
        super(wsdlLocation, serviceName);
    }

    public ServiceBalanceInterfaceService() {
        super(WSDL_LOCATION, SERVICE);
    }
    
    public ServiceBalanceInterfaceService(WebServiceFeature ... features) {
        super(WSDL_LOCATION, SERVICE, features);
    }

    public ServiceBalanceInterfaceService(URL wsdlLocation, WebServiceFeature ... features) {
        super(wsdlLocation, SERVICE, features);
    }

    public ServiceBalanceInterfaceService(URL wsdlLocation, QName serviceName, WebServiceFeature ... features) {
        super(wsdlLocation, serviceName, features);
    }    




    /**
     *
     * @return
     *     returns ServiceBalanceInterface
     */
    @WebEndpoint(name = "ServiceBalanceInterfacePort")
    public ServiceBalanceInterface getServiceBalanceInterfacePort() {
        return super.getPort(ServiceBalanceInterfacePort, ServiceBalanceInterface.class);
    }

    /**
     * 
     * @param features
     *     A list of {@link javax.xml.ws.WebServiceFeature} to configure on the proxy.  Supported features not in the <code>features</code> parameter will have their default values.
     * @return
     *     returns ServiceBalanceInterface
     */
    @WebEndpoint(name = "ServiceBalanceInterfacePort")
    public ServiceBalanceInterface getServiceBalanceInterfacePort(WebServiceFeature... features) {
        return super.getPort(ServiceBalanceInterfacePort, ServiceBalanceInterface.class, features);
    }

}
